SwissSpace93

Which KSP Version do you use?

KSP Version  

53 members have voted

  1. 1. which version of KSP do you play the most?

    • 1.7.x
      41
    • 1.6.x
      4
    • 1.5.x
      0
    • 1.4.x
      1
    • 1.3.x
      7
    • 1.2.x
      0
    • 1.1.x
      0

  • Please sign in or register to vote in this poll.
  • Poll closes on 12/31/2019 at 10:59 PM

Recommended Posts

I'm interested in how many people are already playing the latest version, or for what reason are still playing an older version?

Tell it in this topic and choose the version you mainly play in the poll.

 

 

Now to me:

I play mainly on my modded KSP 1.3.0 because i dont used CKAN for the mods and i dont want to upgrade all these mods manually,  i just stay on 1.3.0.

When i finished the exploration of my OPM 1.3.0 i think to start something with another special Solarsystem-mod in the newer Versions this time only with CKAN.

Share this post


Link to post
Share on other sites

I play the newest version always for various reasons, including that when I find a bug I want to be able to report it. Also, I like all the changes that have come out in each and don't want to play without them.

Also, with very few exceptions any updates to mods will be for the current version, so I get all that new stuff too.

Share this post


Link to post
Share on other sites

I held on to 1.3.1 for a while (and I still have it saved) but once 1.4.5 fixed most of the 1.4 bugs, I switched and have steadily updated since.  Typically, I will wait a few weeks after a new version to let mods update or at least figure out if they work ok, but then I'll switch.  But generally the game has improved and I like most of the new stuff - Kerbal parachutes, a new & improved Mk 2 lander can that I actually use and now robotics that I've barely scratched the surface on.

Share this post


Link to post
Share on other sites
Posted (edited)

I was sticking with 1.3.1 for quite some time, until 1.6.1 rolled out.  My main install is now 1.7.2, although I have every version from 1.3 to 1.7.3 installed (except 1.4.0 since GoG didn't bother with it, and 1.4.4 since that came out during a hiatus, so I don't have the installer).  There are some features in 1.7.3 I really like, but I haven't had a need for them yet.

Edited by Geonovast
derp

Share this post


Link to post
Share on other sites

Always the latest version. Even though I have quite a few mods (but not as much as many on this forum :P) which have the danger of breaking when I update the game, I can’t resist having the improvements and bug fixes of the current update.

I always make backups before I update in case a critical mod breaks, and if it’s necessary I’ll roll back to the previous version. I’ve never had that happen, but in the course of learning and playing this game, I’ve been self-taught to think like an engineer, and the number one rule of engineering in my mind is to always be fairly conservative and prepare for the worst :)

Share this post


Link to post
Share on other sites

1.7.3. I was Kopernicus-limited to 1.7.1 for a while, but everything is up to speed now.

Share this post


Link to post
Share on other sites
Posted (edited)

1.3.1

  • By this version I considered the game to be a complete, finished product, with no further improvements particularly desired or necessary.
  • I really can't be bothered to update the mods I use, to which many undocumented personal tweaks have been made. I've built a hill to die on, as it were.
  • I've barely explored all this modded content and constantly readjusting to newer versions means I never would. In other words I have more content yet to explore than the official updates since 1.3.1 have offered.
  • I'm only content to be subject to Take2's policies as far as this forum goes, not their games.
Edited by Rocket Witch

Share this post


Link to post
Share on other sites
Posted (edited)

The latest and greatest, always.

(Although I usually back up my older version before changing over, in case of some horrible bug lol.)

Edited by Rocket In My Pocket

Share this post


Link to post
Share on other sites
12 minutes ago, Rocket Witch said:

I've barely explored all this modded content and constantly readjusting to newer versions means I never would. In other words I have more content yet to explore than the official updates since 1.3.1 have offered.

  • I'm only content to be subject to Take2's policies as far as this forum goes, not their games.

 

After Breaking Ground release, i found the Mod Surface Experiments Package. And get the half DLC for free, i dont need some new EVA-Suits. There are so many mods i dont have, so i can play with them for a very long time on 1.3. When a big change comes (much better performance, etc.) i think about to Update on that Version.

Share this post


Link to post
Share on other sites

On any given day I may be playing any version between 0.7.3 to the current version 1.7.3 depending on my mood.

 

Most of the time I am on the current version though.

 

However every once in a while I feel nostalgic and "go back in time" lol

Share this post


Link to post
Share on other sites

Mostly 1.3.1, sporadically 1.2.2 when I feel like being all-inclusive (console players can load craft made in 1.2.2, but not anything newer).

I have 1.6.1 and 1.7.3 installed for when I want to check out shared craft created in anything newer - backward compatibility for craft files seems to have broken horribly after 1.4.x, to where simply editing the version number no longer works without awful glitches even for parts common with 1.3.1, so I need the later versions simply to be able to see/test anything created after 1.3.1.

Share this post


Link to post
Share on other sites

I have KSP 1.7.3 , but I would like to stick with 1.7.2 till 1.8.x released. (sorry for my 3rd world English)

Share this post


Link to post
Share on other sites

1.7.3. I have a handful of old versions archived if I ever need them but I've never encountered something that made me roll back or stick with anything but the latest version, so I don't know why I keep them tbh. I use ckan for mods because there's too many to keep track of and I just can't be bothered. Mods break with updates far less often than seems to be commonly thought. The only radical habit change I've had to take on lately is reducing the number of memory-intensive (mostly part) mods due to the expansion of the stock game's basic requirements with additions and DLC. I'm still working with 8gb here so I have to be picky. Upside: quicker load times and less part clutter, 90% of which I never used and just installed because they looked nice.

Share this post


Link to post
Share on other sites

1.6.1 because i don't have Breaking Ground purchased nor intend to in the near future; along with the fact that once i'm done with this playthru i'm likely going to go ham with a RSS+RO install and i want to get the most out of my Kerbin system experience before i plop the actual sol system in it's place. I also keep this install seperate from the steam installation so i can take my sweet time doing so; which is nice. 

Share this post


Link to post
Share on other sites
12 hours ago, Loskene said:

I have a handful of old versions archived if I ever need them

I do the same.  I'm starting to debate whether it's necessary anymore...

I'll probably keep my 1.3.1 stuff because 1.3.1 was awesome.

Share this post


Link to post
Share on other sites
1 hour ago, klgraham1013 said:

I do the same.  I'm starting to debate whether it's necessary anymore...

I'll probably keep my 1.3.1 stuff because 1.3.1 was awesome.

I don't remember what half of these were even for anymore...

And this is just on this computer.

Screenshotat20190808.png

Share this post


Link to post
Share on other sites

I have versions and mod collections all the way back to 0.24.2.

Turns out I might be a crazy person.

Share this post


Link to post
Share on other sites

I play on 1.3, the reasons for this are mostly nostalgic. I remember when Squad wasn't owned by Take Two, and it's the last version I played before going on hiatus. So it only makes sense for me to play on that specific version.

Share this post


Link to post
Share on other sites
7 hours ago, Tux1 said:

I play on 1.3, the reasons for this are mostly nostalgic. I remember when Squad wasn't owned by Take Two, and it's the last version I played before going on hiatus. So it only makes sense for me to play on that specific version.

You're in luck.  Squad still isn't owned by Take Two.  They're contracted by Take Two to continue development on KSP, which Take Two bought from Squad.  ...and 1.3 is pretty rad.

Share this post


Link to post
Share on other sites

I kept 1.3.1 around until Realism Overhaul updated to 1.6.1, so that is my current version for that.

For JNSQ, I remain at 1.7.0, because I started a hard mode career.

For stock play it's 1.7.3.

I still have back up zips of 1.0.5 to current as well as early versions to .13, but those dont get as much play.

Share this post


Link to post
Share on other sites

I'm sitting here playing my old 1.0.5 install. I've got the mods I like. I've got a game I started way back in 2016 before putting the game aside while my wife and I had two kids. I'll play the newest one later, when I finish my current game.

 

I have old ones saved back to 0.25. I wish I still had my first install, 0.18, but for some reason I deleted it.

Share this post


Link to post
Share on other sites

1.3. I have a long running career in playing. Too much invested in it to start all over again. 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.